bdi4jade.examples.planselection

## Class TransportationAgent

- java.lang.Object
- - jade.core.Agent
  - - bdi4jade.core.AbstractBDIAgent
    - - bdi4jade.core.SingleCapabilityAgent
      - - bdi4jade.examples.planselection.TransportationAgent

- All Implemented Interfaces:
    BDIAgent, jade.core.TimerListener, java.io.Serializable, java.lang.Runnable

      public class TransportationAgent
      extends SingleCapabilityAgent

  Author:
    ingrid
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class jade.core.Agent

      `jade.core.Agent.Interrupted`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SATISFACTION`

    - ### Fields inherited from class bdi4jade.core.AbstractBDIAgent

      `goalListeners`

    - ### Fields inherited from class jade.core.Agent

      `AP_ACTIVE, AP_DELETED, AP_IDLE, AP_INITIATED, AP_MAX, AP_MIN, AP_SUSPENDED, AP_WAITING, D_ACTIVE, D_MAX, D_MIN, D_RETIRED, D_SUSPENDED, D_UNKNOWN, MSG_QUEUE_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransportationAgent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `init()` This method initializes the BDI agent.
    `void` | `updatePreferences()`

    - ### Methods inherited from class bdi4jade.core.SingleCapabilityAgent

      `getCapability, setCapability`

    - ### Methods inherited from class bdi4jade.core.AbstractBDIAgent

      `addGoal, addGoal, addGoal, addGoal, addGoalListener, addSoftgoal, canHandle, dropGoal, dropSoftoal, getAllCapabilities, getBeliefRevisionStrategy, getBeliefs, getCapabilities, getDeliberationFunction, getGoalListeners, getGoalOwner, getGoals, getIntentions, getOptionGenerationFunction, getPlanSelectionStrategy, getSoftgoals, hasGoal, removeGoalListener, restart, setBeliefRevisionStrategy, setDeliberationFunction, setOptionGenerationFunction, setPlanSelectionStrategy, setup, takeDown`

    - ### Methods inherited from class jade.core.Agent

      `addBehaviour, afterClone, afterMove, beforeClone, beforeMove, blockingReceive, blockingReceive, blockingReceive, blockingReceive, changeStateTo, clean, createMessageQueue, doActivate, doClone, doDelete, doMove, doSuspend, doTimeOut, doWait, doWait, doWake, getAgentState, getAID, getAMS, getArguments, getBootProperties, getContainerController, getContentManager, getCurQueueSize, getDefaultDF, getHap, getHelper, getLocalName, getName, getO2AInterface, getO2AObject, getProperty, getQueueSize, getState, here, isRestarting, join, notifyChangeBehaviourState, notifyRestarted, postMessage, putBack, putO2AObject, receive, receive, registerO2AInterface, removeBehaviour, removeTimer, restartLater, restore, restoreBufferedState, run, send, setArguments, setEnabledO2ACommunication, setGenerateBehaviourEvents, setO2AManager, setQueueSize, waitUntilStarted, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface bdi4jade.core.BDIAgent

      `blockingReceive, blockingReceive, blockingReceive, blockingReceive, doActivate, doClone, doDelete, doMove, doSuspend, doTimeOut, doWait, doWait, doWake, getAgentState, getAID, getAMS, getContainerController, getContentManager, getCurQueueSize, getHap, getHelper, getLocalName, getName, getQueueSize, here, putBack, receive, receive, send, setQueueSize`

- - ### Field Detail

    - #### SATISFACTION

          public static final java.lang.String SATISFACTION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TransportationAgent

          public TransportationAgent()

  - ### Method Detail

    - #### init

          protected void init()

      Description copied from class: `AbstractBDIAgent`
      This method initializes the BDI agent. It is invoked by the `AbstractBDIAgent.setup()` method. This is an empty method that should be overriden by subclasses.
      Overrides:
        `init` in class `AbstractBDIAgent`

    - #### updatePreferences

          public void updatePreferences()